%=============================================================
% demo ---- iterative reweighted group LASSO algorithm for group LOG
% penalty
% 
% Author: Chengyu Ke 
% Date: 3/15/2021
%============================================================= 
%% Data generation

% group structure
gr = 10*ones(20,1); % 20 groups with equal size of 10 

% parameter setting
pm.numSample = 1; % number of generated datasets
pm.numNonzeroGroup = 7; % number of nonzero groups
pm.obs = 100; % num of observations
pm.noiseLev = 0.1; % noise level

% data generation
data =  data_generator(gr,pm);
A = data.A(:,:,1);
b = data.b(:,1);
xStar = data.xStar(:,1);

%% Algorithm implementation 

pm.lambda = 0.1;
[x, ~] = glog_ADMM(A,b,gr,pm);

% show the ground truth and the estimated coefficients
[x, xStar]